Subject: bug#67654: 29.1; Hiding menu bar makes new frames very small

From: Roshan Shariff <[email-masked]>
Date: Wed, 6 Dec 2023 01:26:19 -0700

I found that this bug occurs regardless of menu-bar-mode when I'm
running without 2x desktop scaling, tested at 1920x1080 or 3840x2160
screen resolutions. In those cases, all newly created frames are tiny
regardless of whether menu-bar-mode is enabled or not.

The correlation with menu-bar-mode happens only when running at 2x
scaling with 3840x2160 resolution.

I was also able to reproduce this bug in a freshly installed Fedora 39
virtual machine, with emacs 29.1 from the distribution repository. I
also noted that the emacs-lucid build doesn't suffer from this issue,
only the GTK build.